Can't jailbrake after downgrading from 5.3 to 5.2.1

Hello guys,

Hope somebody can help me or at least tell me is it possible :slight_smile: I had jailbroken atv 5.2.1 with saved blobs (ifaith). We can say that I accidently updated it to 5.3. 

Now I’m back to stock 5.2.1, but now I’m not able to jailbreak. I get random error like 1600/1602 or this apple tv is not eligible…

is it possible to jailbreak somehow? as i mentioned before i have blobs for 5.2.1

 

please advice something, thanks